org.apache.commons.math3.optimization

## Class SimpleBounds

- java.lang.Object
- - org.apache.commons.math3.optimization.SimpleBounds

All Implemented Interfaces:
  OptimizationData

Deprecated.
As of 3.1 (to be removed in 4.0).

    @Deprecated
    public class SimpleBounds
    extends Object
    implements OptimizationData

Simple optimization constraints: lower and upper bounds. The valid range of the parameters is an interval that can be infinite (in one or both directions).
Immutable class.

Since:
  3.1
Version:
  $Id: SimpleBounds.java 1422230 2012-12-15 12:11:13Z erans $

### Field Summary

Fields
`private double[]` `lower` Deprecated. Lower bounds.
`private double[]` `upper` Deprecated. Upper bounds.

### Constructor Summary

Constructors
Constructor and Description
`SimpleBounds(double[] lB, double[] uB)` Deprecated.

### Method Summary

Methods
`double[]` `getLower()` Deprecated. Gets the lower bounds.
`double[]` `getUpper()` Deprecated. Gets the lower bounds.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### lower

    private final double[] lower

Deprecated.
Lower bounds.

#### upper

    private final double[] upper

Deprecated.
Upper bounds.

### Constructor Detail

#### SimpleBounds

    public SimpleBounds(double[] lB,
                double[] uB)

Deprecated.

Parameters:
  `lB` - Lower bounds.
  `uB` - Upper bounds.

### Method Detail

#### getLower

    public double[] getLower()

Deprecated.
Gets the lower bounds.

Returns:
  the initial guess.

#### getUpper

    public double[] getUpper()

Deprecated.
Gets the lower bounds.

Returns:
  the initial guess.